Subject: bug#5330: Term mode in Cocoa does not respect NS-ALTERNATE-MODIFIER

From: Scott Bell <[email-masked]>
Date: Wed, 06 Jan 2010 16:35:20 -0700

Under Mac OS X 10.6.2, Emacs 23.1.90.1, in an M-x term buffer
running /bin/bash, I get the following undesired behavior in
Cocoa emacs (Emacs.app/Contents/MacOS/Emacs -q) when typing 
`one two M-DEL' where meta is typed as the alt/option key:

$ one twoÿ

This occurs even when ns-alternate-modifier is set to 'meta.
Running Emacs in a terminal window (Emacs.app/Contents/MacOS/
Emacs -q -nw) works as I expect:

$ one